Page Summary
-
The
networks.listAPI retrieves all networks accessible to the current user. -
The HTTP request uses the GET method to
https://admanager.googleapis.com/v1/networks. -
The request body for this API call must be empty.
-
The response body contains a JSON representation with a list of accessible networks under the
networksfield. -
This API requires the
https://www.googleapis.com/auth/admanagerOAuth scope for authorization.
API to retrieve all the networks the current user has access to.
HTTP request
GET https://admanager.googleapis.com/v1/networks
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
skip |
Optional. Number of individual resources to skip while paginating. |
Request body
The request body must be empty.
Response body
Response object for networks.list method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"networks": [
{
object ( |
| Fields | |
|---|---|
networks[] |
The |
nextPageToken |
A token, which can be sent as |
totalSize |
Total number of
For more information, see https://developers.google.com/ad-manager/api/beta/field-masks |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/admanagerhttps://www.googleapis.com/auth/admanager.readonly
For more information, see the OAuth 2.0 Overview.